Debian Bug report logs - #131893
dpkg: making dpkg --print-architecture more robust

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Michael Weber <michaelw@debian.org>

Date: Fri, 1 Feb 2002 21:33:02 UTC

Severity: wishlist

Tags: patch

Found in version 1.9.18

Fixed in version dpkg/1.10.11

Done: Adam Heath <doogie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Wichert Akkerman <wakkerma@debian.org>, dpkg@packages.qa.debian.org:
Bug#131893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Michael Weber <michaelw@debian.org>:
New Bug report received and forwarded. Copy sent to Wichert Akkerman <wakkerma@debian.org>, dpkg@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Weber <michaelw@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: making dpkg --print-architecture more robust
Date: Fri, 1 Feb 2002 21:42:53 +0100
[Message part 1 (text/plain, inline)]
Package: dpkg
Version: 1.9.18
Severity: wishlist
Tags: patch

Hi!

As one can tell from #8241, #106793, and #106727 the current
implementation of `dpkg --print-architecture', as well as
`dpkg-architecture' (which uses the same method) is somewhat fragile,
since the architecture is parsed out of the location of libgcc.a.

I'll append a patch which uses the sole output of `gcc -dumpmachine'
(no parsing required).  This also helps when porting dpkg to
non-Debian systems.

[BTW: I tested this with various compilers between egcs-1.1.2 and
      gcc-3.0.3.]

What is missing is the update of the translation files (I didn't want
to bloat the patch with that).
      
After applying, #8231 and #106793 can be closed as well.


Cheers,
Michael

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux stargate 2.4.17-xfs #1 SMP Fri Jan 18 21:42:37 CET 2002 i686
Locale: LANG=POSIX, LC_CTYPE=de_DE@euro

Versions of packages dpkg depends on:
ii  libc6                  2.2.4-7           GNU C Library: Shared libraries an
ii  libncurses5            5.2.20010318-3    Shared libraries for terminal hand
ii  libstdc++2.10-glibc2.2 1:2.95.4-0.011006 The GNU stdc++ library
[dpkg-dumpmachine.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Development <debian-dpkg@lists.debian.org>:
Bug#131893; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Adam Heath <doogie@brainfood.com>:
Extra info received and forwarded to list. Copy sent to Dpkg Development <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 131893@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@brainfood.com>
To: 8241@bugs.debian.org, <106793@bugs.debian.org>, <112386@bugs.debian.org>, <131893@bugs.debian.org>, <160447@bugs.debian.org>, <173618@bugs.debian.org>, <174013@bugs.debian.org>, <179385@bugs.debian.org>, <191261@bugs.debian.org>, <196361@bugs.debian.org>, <198218@bugs.debian.org>, <200351@bugs.debian.org>, <203782@bugs.debian.org>, <203791@bugs.debian.org>, <204894@bugs.debian.org>, <206416@bugs.debian.org>, <210285@bugs.debian.org>
Subject: fixed in cvs
Date: Sat, 13 Sep 2003 17:12:08 -0500 (CDT)
tag 8241 pending
tag 106793 pending
tag 112386 pending
tag 131893 pending
tag 160447 pending
tag 173618 pending
tag 174013 pending
tag 179385 pending
tag 191261 pending
tag 196361 pending
tag 198218 pending
tag 200351 pending
tag 203782 pending
tag 203791 pending
tag 204894 pending
tag 206416 pending
tag 210285 pending
thanks

These are fixed in cvs





Tags added: pending Request was from Adam Heath <doogie@brainfood.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adam Heath <doogie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Weber <michaelw@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 131893-close@bugs.debian.org (full text, mbox):

From: Adam Heath <doogie@debian.org>
To: 131893-close@bugs.debian.org
Subject: Bug#131893: fixed in dpkg 1.10.11
Date: Tue, 16 Sep 2003 14:17:07 -0400
Source: dpkg
Source-Version: 1.10.11

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.10.11_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.10.11_all.deb
dpkg-doc_1.10.11_all.deb
  to pool/main/d/dpkg/dpkg-doc_1.10.11_all.deb
dpkg_1.10.11.dsc
  to pool/main/d/dpkg/dpkg_1.10.11.dsc
dpkg_1.10.11.tar.gz
  to pool/main/d/dpkg/dpkg_1.10.11.tar.gz
dpkg_1.10.11_i386.deb
  to pool/main/d/dpkg/dpkg_1.10.11_i386.deb
dselect_1.10.11_i386.deb
  to pool/main/d/dpkg/dselect_1.10.11_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 131893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adam Heath <doogie@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 16 Sep 2003 12:52:11 -0500
Source: dpkg
Binary: dpkg-doc dpkg dselect dpkg-dev dpkg-static
Architecture: source all i386
Version: 1.10.11
Distribution: unstable
Urgency: low
Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
Changed-By: Adam Heath <doogie@debian.org>
Description: 
 dpkg       - Package maintenance system for Debian
 dpkg-dev   - Package building tools for Debian
 dpkg-doc   - Dpkg Internals Documentation
 dselect    - a user tool to manage Debian packages
Closes: 8241 37254 61156 91348 106793 111562 112386 115759 126621 127342 131893 133745 137313 150642 151845 153096 154277 154633 155822 157973 160447 161819 163621 165099 167426 169359 169619 170575 173618 174013 174971 175236 175363 175770 177753 179385 183840 191261 191810 196361 198218 199360 200351 203097 203557 203782 204123 204894 206164 206416 207259 208014 208894 210285
Changes: 
 dpkg (1.10.11) unstable; urgency=low
 .
   * dpkg no longer provides any BYHAND files.  If you need the source
     tarball, use the orig.tar.gz file available in the pool.  The
     precompiled tars were hold-overs from when debs were not standard
     ar/tar files.
   * Install /usr/share/doc/dpkg/pseudo-tags, which talks about the bug
     titling we use to mark bugs for filtering in the Debian bts.
   * Updated ca.po.
   * Teach dpkg-source that ~ is legal in version numbers
   * Add build-depends on sgml-base, and increase gettext build-depends to
     0.12.1-3.
   * Updated config.sub and config.guess in cvs.
   * Change use of strncpy in parsedb to memcpy.  Closes: #160447
   * No longer generate helpmsgs.{cc,h}.
   * several controllib changes:
     * Moved dependency parsing logic from dpkg-checkbuilddeps.
       The dpkg-checkbuilddeps parser didn't support empty fields, while
       the controllib parser did.
     * All dependency fields parsed by controllib.pl support [arch]
       specifiers.  If the arch specifier doesn't apply for the current
       arch, then the item will not be added to the internal list structure.
     * Comment lines(that begin with '#') are removed during parsing.
     * Store the original casing of field names, for use in error reporting.
     * Store the original field's casing with 'o:' prepended in %fi.
       * ballombe@merulo.debian.org:
         dpkg-checkbuilddeps now handles empty fields.  Closes: #111562
       * Branden Robinson <branden@debian.org>:
         support comments(first char on line begins with '#') in
         debian/control.  Closes: #191810
       * Bastian Blank <waldi@debian.org>:
         Allow for per-arch generated dependency fields.  Closes: #170575
       * Branden Robinson <branden@debian.org>:
         Report the original casing of field names when they are unknown.
         Closes: #177753
   * Patch dpkg-buildpackage to call debian/rules -qn build-arch, and if
     it's available, modify -B handling appropriately.  If build-arch is not
     available, then when -B was called, do *not* pass -B on to
     dpkg-checkbuilddeps.  Closes: #203097
   * Frank Lichtenheld <frank@lichtenheld.de>:
     Apply patch, to handle missing infodir.bak, and empty files.  Closes:
     #196361
   * Change standard_startup and standard_shutdown into macros.  Closes:
     #200351.
   * Andrew Suffield <asuffield@debian.org>:
     Fix inverted test of eof in parsedb, while looking for eof after
     field name.  Closes: #198218
   * Yann Dirson <dirson@debian.org>
     Add set -e to dpkg-doc.postinst.  Closes: #191261
   * Michael Weber <michaelw@debian.org>:
     dpkg --print-architecture now does gcc -dumpmachine instead of
     --print-libgcc-file-name.  Closes: #131893, #8241, #106793, #210285
   * Daniel Silverstone <dsilvers@digital-scurf.org>:
     Apply patch to change hashing function, and increase bin size, for
     the package database.  Closes: #206416
   * Paul Eggert <eggert@CS.UCLA.EDU>:
     Apply patch to make dpkg work with POSIX 1003.1-2001.  Closes:
     #204894
   * Joey Hess <joeyh@debian.org>:
     Fix "stripping trailing /" message from dpkg-statoverride.  Closes:
     #203782
   * Sami Liedes <sliedes@cc.hut.fi>:
     Increase filesdb bin size, and alter hashing function.  Closes:
     #179385
   * Anthony Towns <aj@azure.humbug.org.au>:
     Retry removing empty dirs during purge.  Closes: #112386
   * Darren Salt <linux@youmustbejoking.demon.co.uk>:
     Add .cvsignore to dpkg-source's default diff ignore regex.  Also fix
     missing \ escape for .deps.  Closes: #174013
   * Koblinger Egmont <egmont@uhulinux.hu>:
     Fix segfault with --status-fd.  Closes: #173618
   * Colin Watson <cjwatson@debian.org>,
     Andrew Suffield <asuffield@debian.org>:
     Add .svn, {arch}, and .arch-ids to dpkg-source -i default regex.
     Closes: #169359
   * Falk Hueffner <falk@debian.org>:
     Added alphaev68-linux-gnu to archtable.  Closes: #199360
   * Elie Rosenblum <fnord@debian.org>:
     Apply patch to support OpenBSD.  Closes: #154277
   * Geoff Richards <qef@laxan.com>:
     Add --config to action section, and add as EXAMPLES section.  Closes:
     #208014, #115759
   * Yann Dirson <dirson@debian.org>:
     install-info --version and --help now display on stdout.  Closes:
     #154633
   * Dan Jacobson <jidanni@dman.ddts.net>:
     Mention what dpkg and dpkg-query -S will not find.  Closes: #153096
   * Sebastian Leske <sleske@enterprise.mathematik.uni-essen.de>:
     Mention in dpkg(8) that downgrading a package can have serious
     consequences.  Closes: #61156
   * Dan Jacobson <jidanni@dman.ddts.net>:
     In dpkg-scanpackages(8), including small note that other tools might
     use the generated Packages file.  Closes: #208894
   * Warren Turkal <wturkal@cbu.edu>:
     Fix some typos in dpkg-source(1).  Closes: #207259, #204123, #167426
   * Dan Jacobson <jidanni@dman.ddts.net>:
     Alter text in dselect(8), implying that other interfaces are available
     for installing packages.  Closes: #206164.
   * Daniel Bonniot <bonniot@users.sourceforge.net>:
     Note in start-stop-daemon(8) that --nicelevel takes an argument.
   * Ruben Porras <nahoo82@telefonica.net>:
     Remove duplicate 'can' in deb-control(5).  Closes: #183840
   * Dan Jacobson <jidanni@dman.ddts.net>:
     Fix short description in dpkg-scansources(8).  Closes: #175770
   * Zefram <zefram@fysh.org>:
     In dpkg(8), move dpkg-query options to their own subsection, like
     dpkg-deb.  Closes: #174971
   * Thomas Hood <jdthood@yahoo.co.uk>
     Add --dry-run and --simulate as synonyms to --no-act.  Closes:
     #165099
   * Junichi Uekawa <dancer@netfort.gr.jp>:
     Fix wrong reference to DEB_BUILD_GNU_SYSTEM on --host in
     dpkg-architecture(1).  Closes: #163621
   * Michael Klein <michael.klein@puffin.lb.shuttle.de>:
     s/Usuaully/Usually/ in deb-control.5.  Closes: #161819
   * Joey Hess <joeyh@debian.org>:
     Removed reference in dselect(8) about recommends not being handled
     well.  Closes: #157973
   * Andrew Suffield <aps100@doc.ic.ac.uk>:
     s/dpkg-source/dpkg-parsechangelog/ in dpkg-parsechangelog -h.
     Closes: #155822
   * Matej Vela <vela@debian.org>:
     Unhighlight "May be repeated multiple times." in dpkg-source(1).
     Closes: #151845
   * Jordi Mallach <jordi@debian.org>:
     Make all actions in dpkg-deb -h lower case.  Closes: #150642
   * Alexander Hvostov <root@aoi.dyndns.org>:
     Add -g|--group to start-stop-daemon, and document properly.  Closes:
     #127342
   * Szerb Tamas <toma@mlf.linux.rulez.org>:
     s/THANKS/THANKS.gz/ in dpkg(8).  Closes: #91348
   * "James R. Van Zandt" <jrv@vanzandt-pc.mitre.org>:
     In dpkg(8), mention running dselect, install after --set-selections.
     Closes: #175236
   * Yann Dirson <dirson@debian.org>:
     Remove disabled --command-fd from help.  Closes: #169619
   * Tobias Burnus <tburnus@physik.fu-berlin.de>:
     Apply patch to update-alternatives that provides --set and --remove-all
     commands.  Closes: #133745.
   * Osamu Aoki <debian@aokiconsulting.com>:
     Add --all to update-alternatives, that calls --config on all
     alternatives.  Closes: #126621
   * Dan Jacobson <jidanni@jidanni.org>:
     Alter --config prompt, to be more clear, that one must 'press' enter to
     accept the default.  Closes: #203557
   * Peter Moulder <pmoulder@bowman.csse.monash.edu.au>:
     Fix some -w issues in update-alternatives.  Closes: #137313
   * Eduard Bloch <edi@gmx.de>:
     Apply patch to check whether the target path exists on removing.
     Closes: #37254
   * Colin Walters <walters@debian.org>:
     After opening files, set binmode.  Closes: #175363
Files: 
 c7e30e4e0bba75b3ec78ab93bfb0d9be 636 base required dpkg_1.10.11.dsc
 223521ddf95001272e4277a3e0c88099 1550456 base required dpkg_1.10.11.tar.gz
 5e7875129eb802280a39bb1e52de6d9b 1127996 base required dpkg_1.10.11_i386.deb
 7109eeca641fe77778b3f09e56b8f83f 94706 base required dselect_1.10.11_i386.deb
 4543b320c5c1812655cf3f21bd0fc1d2 112472 utils standard dpkg-dev_1.10.11_all.deb
 4f180e7a2a5745f9bae370e085a04a08 10638 doc optional dpkg-doc_1.10.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE/Z1JSiix9wovUpIkRAhceAJ0TNxmtszpRPDU/0qqrQsYY0+QEvwCgidTM
qem1H1YD1kM6loTFOaMtkyc=
=l3Sv
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:50:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.